<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <label>Username</label>
      <input type="text" class="form-control" [(ngModel)]="username" />

      <button
        class="btn btn-primary"
        [disabled]="username === ''"
        (click)="username = ''"
      >
        Reset
      </button>
      <p>{{ username }}</p>
      <p *ngIf="ServerCreated; else noServer">
        server was created{{ username }}
      </p>
      <ng-templated #noServer>
        <p>No server was created</p>
      </ng-templated>
    </div>
  </div>
</div>
<app-servers></app-servers>
